summaryrefslogtreecommitdiffstats
path: root/time_wizard/scripts/save_config.sh
diff options
context:
space:
mode:
Diffstat (limited to 'time_wizard/scripts/save_config.sh')
-rwxr-xr-xtime_wizard/scripts/save_config.sh91
1 files changed, 91 insertions, 0 deletions
diff --git a/time_wizard/scripts/save_config.sh b/time_wizard/scripts/save_config.sh
new file mode 100755
index 00000000..a0bcebfa
--- /dev/null
+++ b/time_wizard/scripts/save_config.sh
@@ -0,0 +1,91 @@
+#!/bin/bash
+#
+# Wizard
+#
+# Copyright (C) 2000 Mandrakesoft.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+# See file LICENSE for further informations on licensing terms.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+# Authors: Jerome Dumonteil, Maurizio De Cecco, Enzo Maggi
+# icons: Helene Durosini <ln@mandrakesoft.com>
+# <corporate@mandrakesoft.com> http://www.mandrakesoft.com
+
+# this script saves the xntp configuration.
+
+echo_debug "$(date) begin $0"
+
+# save time zone info
+config=/etc/sysconfig/clock
+bck_file ${config}
+
+echo -e "\
+UTC=true\n\
+ZONE=${wiz_timezone}\n\
+ARC=false\
+" > ${config}
+
+export TZ=${wiz_timezone}
+
+cp -f /usr/share/zoneinfo/${wiz_timezone} /etc/localtime
+
+
+
+if [ -n "${typedserver1}" ]; then
+ tserver1=${typedserver1}
+else
+ tserver1=${server1}
+fi
+
+if [ -n "${typedserver2}" ]; then
+ tserver2=${typedserver2}
+else
+ tserver2=${server2}
+fi
+
+# and set time !
+
+echo_debug "tserver=${tserver1} tserver2=${tserver2}"
+
+[ -d /etc/ntp ] || exit 1
+echo_debug "/etc/ntp ok"
+
+bck_file /etc/ntp/step-tickers
+
+if [ -n "${tserver1}" ]; then
+ echo ${tserver1} > /etc/ntp/step-tickers
+fi
+
+if [ -n "${tserver2}" ]; then
+ echo ${tserver2} >> /etc/ntp/step-tickers
+fi
+
+echo_debug "$(date) wrote /etc/ntp/step-tickers, starting services"
+
+# now set time (if network ok)
+if [ "$wiz_time_ok" = "ok" ]; then
+/etc/rc.d/init.d/crond stop > /dev/null
+/etc/rc.d/init.d/atd stop > /dev/null
+/etc/rc.d/init.d/ntpd restart > /dev/null
+/etc/rc.d/init.d/crond start > /dev/null
+/etc/rc.d/init.d/atd start > /dev/null
+
+# set hw clock
+[ -x /sbin/hwclock ] && hwclock --systohc --utc &
+
+fi
+
+echo_debug "$(date) service restart end, exiting from $0"
+